Get all versions of a prompt partial
curl --request GET \
--url https://api.portkey.ai/v1/prompts/partials/{promptPartialId}/versions \
--header 'x-portkey-api-key: <api-key>'[
{
"prompt_partial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_partial_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"version": "<string>",
"string": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]List Partial Versions
GET
/
prompts
/
partials
/
{promptPartialId}
/
versions
Get all versions of a prompt partial
curl --request GET \
--url https://api.portkey.ai/v1/prompts/partials/{promptPartialId}/versions \
--header 'x-portkey-api-key: <api-key>'[
{
"prompt_partial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_partial_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"version": "<string>",
"string": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Response
List of prompt partial versions
Last modified on May 21, 2026
Was this page helpful?
⌘I

